classification
Title: Sporadic segmentation fault in test_datetime.test_check_arg_types()
Type: crash Stage: resolved
Components: Library (Lib), Tests Versions: Python 3.8
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: belopolsky, p-ganssle, pitrou, vstinner, xtreak
Priority: normal Keywords:

Created on 2018-03-11 21:32 by pitrou, last changed 2018-11-13 08:14 by vstinner. This issue is now closed.

Messages (4)
msg313623 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2018-03-11 21:32
Just spotted this in a Travis-CI job:
https://travis-ci.org/python/cpython/jobs/351010039#L2002

I'm not sure there's anything to do but I figured it was worth reporting anyway.
msg329811 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python triager) Date: 2018-11-13 07:48
Related discussion with same segfault in Travis CI : issue33701
msg329816 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-11-13 08:12
> Just spotted this in a Travis-CI job:
> https://travis-ci.org/python/cpython/jobs/351010039#L2002

0:00:07 load avg: 20.55 [ 24/415/1] test_datetime crashed (Exit code -11)
Fatal Python error: Segmentation fault
Current thread 0x000014fcbda86740 (most recent call first):
  File "/home/travis/build/python/cpython/Lib/test/datetimetester.py", line 4630 in test_check_arg_types
  File "/home/travis/build/python/cpython/Lib/unittest/case.py", line 615 in run
  File "/home/travis/build/python/cpython/Lib/unittest/case.py", line 663 in __call__
  File "/home/travis/build/python/cpython/Lib/unittest/suite.py", line 122 in run
  File "/home/travis/build/python/cpython/Lib/unittest/suite.py", line 84 in __call__
  File "/home/travis/build/python/cpython/Lib/unittest/suite.py", line 122 in run
  File "/home/travis/build/python/cpython/Lib/unittest/suite.py", line 84 in __call__
  File "/home/travis/build/python/cpython/Lib/unittest/runner.py", line 176 in run
  File "/home/travis/build/python/cpython/Lib/test/support/__init__.py", line 1865 in _run_suite
  File "/home/travis/build/python/cpython/Lib/test/support/__init__.py", line 1955 in run_unittest
  File "/home/travis/build/python/cpython/Lib/test/test_datetime.py", line 54 in test_main
  File "/home/travis/build/python/cpython/Lib/test/libregrtest/runtest.py", line 176 in runtest_inner
  File "/home/travis/build/python/cpython/Lib/test/libregrtest/runtest.py", line 130 in runtest
  File "/home/travis/build/python/cpython/Lib/test/libregrtest/runtest_mp.py", line 67 in run_tests_slave
  File "/home/travis/build/python/cpython/Lib/test/libregrtest/main.py", line 517 in _main
  File "/home/travis/build/python/cpython/Lib/test/libregrtest/main.py", line 510 in main
  File "/home/travis/build/python/cpython/Lib/test/libregrtest/main.py", line 585 in main
  File "/home/travis/build/python/cpython/Lib/test/regrtest.py", line 46 in _main
  File "/home/travis/build/python/cpython/Lib/test/regrtest.py", line 50 in <module>
  File "/home/travis/build/python/cpython/Lib/runpy.py", line 85 in _run_code
  File "/home/travis/build/python/cpython/Lib/runpy.py", line 193 in _run_module_as_main
msg329817 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-11-13 08:14
Oh, this issue is the same bug than bpo-33701. I also close this one since this crash has been seen in March, but I didn't see it recently. So I close the issue as "out of date".
History
Date User Action Args
2018-11-13 08:14:33vstinnersetstatus: open -> closed
resolution: out of date
messages: + msg329817

stage: resolved
2018-11-13 08:12:17vstinnersetmessages: + msg329816
title: Sporadic segmentation fault in test_datetime -> Sporadic segmentation fault in test_datetime.test_check_arg_types()
2018-11-13 08:11:42vstinnersetnosy: + vstinner
2018-11-13 07:48:52xtreaksetmessages: + msg329811
2018-09-14 14:52:51p-gansslesetnosy: + p-ganssle
2018-09-14 08:43:34xtreaksetnosy: + xtreak
2018-03-11 21:32:59pitroucreate